clc;
close all;
clear all;
addpath ../../../Software/Matlab/;
import ../../../Software/Matlab/MatlabToTikZ.*;


x = 0:0.05:1;
y = (x.^2 + 3)./(x + 1);
MatlabToTikZ.ExportLineplot('example_in_words.measurements.txt', [x' y']);


x = 1:0.05:3;
y = (x.^2 + 3)./(x + 1);
MatlabToTikZ.ExportLineplot('example_in_words.forecasts.txt', [x' y']);


x = 1:0.05:3;
y1 = (x.^2 + 3)./(x + 1) + 0.08 * (x - 1).^2;
y2 = (x.^2 + 3)./(x + 1) - 0.08 * (x - 1).^2;
MatlabToTikZ.ExportAreaplot('example_in_words.high_precision.txt', x, y1, y2);


x = 1:0.05:3;
y1 = (x.^2 + 3)./(x + 1) + 0.2 * (x - 1).^2;
y2 = (x.^2 + 3)./(x + 1) - 0.4 * (x - 1).^2;
MatlabToTikZ.ExportAreaplot('example_in_words.low_precision.txt', x, y1, y2);



